com.google.cloud.dataflow.examples

## Interface DebuggingWordCount.WordCountOptions

All Superinterfaces:
  HasDisplayData, PipelineOptions, WordCount.WordCountOptions

Enclosing class:
  DebuggingWordCount

    public static interface DebuggingWordCount.WordCountOptions
    extends WordCount.WordCountOptions

Options supported by `DebuggingWordCount`.

Inherits standard configuration options and all options defined in `WordCount.WordCountOptions`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.examples.WordCount.WordCountOptions

`WordCount.WordCountOptions.OutputFactory`

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.PipelineOptions

`PipelineOptions.CheckEnabled`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getFilterPattern()`
`void` `setFilterPattern(String value)`

### Methods inherited from interface com.google.cloud.dataflow.examples.WordCount.WordCountOptions

`getInputFile, getOutput, setInputFile, setOutput`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.PipelineOptions

`as, cloneAs, getRunner, getStableUniqueNames, getTempLocation, setRunner, setStableUniqueNames, setTempLocation`

### Methods inherited from interface com.google.cloud.dataflow.sdk.transforms.display.HasDisplayData

`populateDisplayData`

### Method Detail

#### getFilterPattern

    @Default.String(value="Flourish|stomach")
    String getFilterPattern()

#### setFilterPattern

    void setFilterPattern(String value)